Subject: Re: [PATCH net-next 5/5] selftests: drivers: hw: add tests for the ethtool standard counters

From: Jakub Kicinski <[email-masked]>
Date: Fri, 27 Feb 2026 16:23:40 -0800

On Fri, 27 Feb 2026 09:34:28 +0200 Ioana Ciornei wrote:
> On Thu, Feb 26, 2026 at 06:25:11PM -0800, Jakub Kicinski wrote:
> > On Thu, 26 Feb 2026 16:18:21 +0200 Ioana Ciornei wrote:  
> > > > How about, fail the test if any are greater than 1% of the number of
> > > > packets transmitted/received? My _guess_ is, if you have 1% packet
> > > > loss, networking is not going to be happy anyway. It probably means
> > > > you have one end doing Half duplex and the other Full. That is a
> > > > typical configuration error you see causing collisions. Not that i've
> > > > actually seen this for maybe a decade!
> > > > 
> > > > Failing the test, with a comment about checking duplex configuration,
> > > > seems sensible.    
> > > 
> > > Seems reasonable. Thanks for the help!  
> > 
> > FWIW the expectation is that the test should be able to run even on
> > systems / boards with a single interface. So the control traffic
> > (communicating with the traffic generator) will run over the same
> > interface as the test. 1% error is unachievable. I'd only check the
> > lower bound, and use some sanity value for the upper bound (2^30 ?)
> > if at all  
> 
> Really? I didn't know of that expectation at all.
> 
> I did take ethtool_rmon.sh as an example and that selftest as well
> takes NUM_NETIFS=2 and does check for both a lower bound and upper bound
> that takes into account a 1% deviance from the target.

I called out in the other thread that the bash scripts in this dir
pre-date any serious CI use. They are only there to get them out of 
the way of SW-only CI testing.

> How would the test even work with only a single interface?

Hopefully the readme mentioned in my other reply clarifies.